clear all;
close all;

vza=[0.0 12.0 18.0 26.0 32.0 36.0 40.0 46.0 50.0 54.0 56.0 60.0 66.0 72.0];


ssaM1='7';ssaM2='6';ssaM3='5';ssaM4='4';ssaM5='3';ssaM6='2';ssaM7='1';
aodM1='00';aodM2='01';aodM3='05';aodM4='10';aodM5='25';aodM6='40';aodM7='60';


count=1;

    

lutbinary354=zeros(7,6,5,5,7,14);
lutbinary388=zeros(7,6,5,5,7,14);

for i=1:7   %AEROSOL MODEL LOOP
    
    i
    
    if(i==1)
        strmodel=ssaM1;
    elseif(i==2)
        strmodel=ssaM2;
    elseif(i==3)
        strmodel=ssaM3;
    elseif(i==4)
        strmodel=ssaM4;
    elseif(i==5)
        strmodel=ssaM5;
    elseif(i==6)
        strmodel=ssaM6;
    elseif(i==7)
        strmodel=ssaM7;
    end
    
    
    
    for j=1:6    %AOD LOOP
        if(j==1)
            straod=aodM1;
        elseif(j==2)
            straod=aodM2;
        elseif(j==3)
            straod=aodM3;
        elseif(j==4)
            straod=aodM4;
        elseif(j==5)
            straod=aodM5;
        elseif(j==6)
            straod=aodM6;
        elseif(j==7)
	    straod=aodM7;
        end
        
        
        
        
        for l=1:5   %REFLECTIVITY LOOP
            
           if(l==1)
               xref=0.00;
           elseif(l==2)
               xref=0.02;
           elseif(l==3)
               xref=0.04;
           elseif(l==4)
               xref=0.08;
           elseif(l==5)
               xref=0.12;
           end
           
           
           
            
            for k=1:5   %SOLAR ZENITH ANGLE LOOP
                
                if(k==1)
                    sza=0;
                    kk=1;
                elseif(k==2)
                    sza=20;
                    kk=2;
                elseif(k==3)
                    sza=40;
                    kk=3;
                elseif(k==4)
                    sza=60;
                    kk=4;
                elseif(k==5)
                    sza=80;
                    kk=5;
                end
           
                
                if(k==1)
                [s3541]=sprintf('/mnt/home/hiren.jethva/ARIZONA_RT_DUST/ARIZONA_CODE/OperationalLUT/PresLev600/Height3p0/model%s_%s/Azi1/w0.3540.s0%d.0.top',strmodel,straod,sza);
                [s3542]=sprintf('/mnt/home/hiren.jethva/ARIZONA_RT_DUST/ARIZONA_CODE/OperationalLUT/PresLev600/Height3p0/model%s_%s/Azi2/w0.3540.s0%d.0.top',strmodel,straod,sza);
                
                [s3881]=sprintf('/mnt/home/hiren.jethva/ARIZONA_RT_DUST/ARIZONA_CODE/OperationalLUT/PresLev600/Height3p0/model%s_%s/Azi1/w0.3880.s0%d.0.top',strmodel,straod,sza);
                [s3882]=sprintf('/mnt/home/hiren.jethva/ARIZONA_RT_DUST/ARIZONA_CODE/OperationalLUT/PresLev600/Height3p0/model%s_%s/Azi2/w0.3880.s0%d.0.top',strmodel,straod,sza);

                
                else

                [s3541]=sprintf('/mnt/home/hiren.jethva/ARIZONA_RT_DUST/ARIZONA_CODE/OperationalLUT/PresLev600/Height3p0/model%s_%s/Azi1/w0.3540.s%d.0.top',strmodel,straod,sza);
                [s3542]=sprintf('/mnt/home/hiren.jethva/ARIZONA_RT_DUST/ARIZONA_CODE/OperationalLUT/PresLev600/Height3p0/model%s_%s/Azi2/w0.3540.s%d.0.top',strmodel,straod,sza);
                
		[s3881]=sprintf('/mnt/home/hiren.jethva/ARIZONA_RT_DUST/ARIZONA_CODE/OperationalLUT/PresLev600/Height3p0/model%s_%s/Azi1/w0.3880.s%d.0.top',strmodel,straod,sza);
                [s3882]=sprintf('/mnt/home/hiren.jethva/ARIZONA_RT_DUST/ARIZONA_CODE/OperationalLUT/PresLev600/Height3p0/model%s_%s/Azi2/w0.3880.s%d.0.top',strmodel,straod,sza);
                
                end
                
                
                
                fid1=fopen(s3541);
                fid2=fopen(s3881);
                
                fid3=fopen(s3542);
                fid4=fopen(s3882);

                
                
                %READING HEADER INFORMATION
                %Azi1
                for p=1:13
                    line1=fgetl(fid1);
                    line2=fgetl(fid2);
                end
                
                
                
                
                count=1;
                
                for q=14:283
                    line1=fgetl(fid1);
                    line2=fgetl(fid2);
                    
                    data3541(count,:) = sscanf(line1,'%f');
                    data3881(count,:) = sscanf(line2,'%f');
                    
                    count=count+1;
                end
                
                
                
                %READING HEADER INFORMATION
                %Azi2
                for p=1:13
                    line1=fgetl(fid3);
                    line2=fgetl(fid4);
                end
                
                
                
                count=1;
                
                for q=14:238
                    line1=fgetl(fid3);
                    line2=fgetl(fid4);

                    if(q>=194)
                    
                        data3542(count,:) = sscanf(line1,'%f');
                        data3882(count,:) = sscanf(line2,'%f');
                        
                        count=count+1;

        		    end
                end
                
                
                %CONCATENATES
                data354=cat(1,data3541,data3542);
                data388=cat(1,data3881,data3882);
                
                data3541=[];data3542=[];
                data3881=[];data3882=[];
                
                
                %CALCULATE ILAMBDA AT TOA FOR GIVEN VALUE OF REFLECTIVITY
                ILAMBDA354=(data354(:,5)+((xref.*data354(:,7))./(1-(data354(:,8).*xref))))./pi;
                ILAMBDA388=(data388(:,5)+((xref.*data388(:,7))./(1-(data388(:,8).*xref))))./pi;
         
                
                for indx=1:length(ILAMBDA354)                    
                    if(data354(indx,2)==0)
                         phicount=1;
                     
                    elseif(data354(indx,2)==30)
                         phicount=2;
                     
                    elseif(data354(indx,2)==60)
                        phicount=3;
                     
                    elseif(data354(indx,2)==90)
                        phicount=4;
                     
                    elseif(data354(indx,2)==120)
                         phicount=5;
                     
                    elseif(data354(indx,2)==150)
                        phicount=6;
                      
                    elseif(data354(indx,2)==180)
                         phicount=7;
                    end
                    
                    
                    
                    if(indx==1 || indx==46 || indx==91 || indx==136 || indx==181 || indx==226 || indx==271 || indx==316 ||indx==361 || indx==406 || indx==451)
                        vzacount=1;
                    end
                   
                 
                    
                    
                    for r=1:14
                     if(data354(indx,1)==vza(r))
                        lutbinary354(i,j,l,kk,phicount,vzacount)=ILAMBDA354(indx);
                        lutbinary388(i,j,l,kk,phicount,vzacount)=ILAMBDA388(indx);
                        vzacount=vzacount+1;
                        break;
                     end
                    end

                    
                    
                end
                
                data354=[];data388=[];
                ILAMBDA354=[];ILAMBDA388=[];     
                
                fclose(fid1);
                fclose(fid2);
                fclose(fid3);
                fclose(fid4);
                
                                
            end
            
        end
        
    end
end
    




fid=fopen('OMIDUSTLUT_P354_P600_HGT3p0_OldGeom.bin','wb');
fwrite(fid,lutbinary354,'float32');
fclose(fid);

fid=[];
fid=fopen('OMIDUSTLUT_P388_P600_HGT3p0_OldGeom.bin','wb');
fwrite(fid,lutbinary388,'float32');
fclose(fid);
