#!/bin/sh
for h in "Height0p0" "Height1p5" "Height3p0" "Height6p0" "Height10p0"; do

cp aerovert_${h}_p06.dat proname.dat

for i in "model1" "model2" "model3" "model4" "model5" "model6" "model7";do 


if [ ${i} = "model1" ]
then
   cp aerosol.w0.3540.dust.model1.phs aerosol.w0.3540.phs
elif [ ${i} = "model2" ]
then
   cp aerosol.w0.3540.dust.model2.phs aerosol.w0.3540.phs
elif [ ${i} = "model3" ]
then
   cp aerosol.w0.3540.dust.model3.phs aerosol.w0.3540.phs
elif [ ${i} = "model4" ]
then
   cp aerosol.w0.3540.dust.model4.phs aerosol.w0.3540.phs
elif [ ${i} = "model5" ]
then
   cp aerosol.w0.3540.dust.model5.phs aerosol.w0.3540.phs
elif [ ${i} = "model6" ]
then
   cp aerosol.w0.3540.dust.model6.phs aerosol.w0.3540.phs
elif [ ${i} = "model7" ]
then
   cp aerosol.w0.3540.dust.model7.phs aerosol.w0.3540.phs
fi


for j in "00" "01" "05" "10" "25" "40" "60" ; do

cp COESDUST_1/${i}/coes_taum_${j} .
cp coes_taum_${j} coes

cp flatphi1.in flat.in
#rm *.phs
./flatpsv.mod.x

mv *.top *.out ResearchLUT_NonSphr/PresLev0600/${h}/${i}_${j}/Azi1


cp flatphi2.in flat.in
#rm *.phs
./flatpsv.mod.x

mv *.top *.out ResearchLUT_NonSphr/PresLev0600/${h}/${i}_${j}/Azi2


done
done
done
