c $Header: /usr/people/flittner/radtran/flatpsv/src/Tfineindx.f,v 1.14 1999/08/16 18:57:14 flittner Exp flittner $
        subroutine Tfineindx(cos_captheta,captheta,YA,onemya,MT,MTP1)
c
c Get the index of the Tfine array for the scattering angle cos_captheta.
c This is coded for Tfine of "nan" angles or every (180/(nan-1)) degree.
C The value of "nan" is set in param.inc
c
	implicit none
        include 'consts.cmn'
        include 'param.inc'
c input 
        real*8 cos_captheta
c output
	integer MT,MTP1
	real*8 captheta,YA,onemya
c
        if(cos_captheta.ge.1.0d0) then
          cos_captheta=1.0d0
          captheta=0.0d0
          YA=1.0d0
          MT=1
          MTP1=2
          onemya=0.0d0
        else if(cos_captheta.le.-1.0d0) then
          cos_captheta=-1.0d0
          captheta=180.0d0
          YA=0.0d0
          MTP1=nan
          MT=nan-1
          onemya=1.0d0
        else
c we should do the following
          captheta=anglefactor*dacos(cos_captheta)/dr
          MT=int(captheta)
          onemya=(captheta-dble(MT))
          if(onemya.lt.0.0d0) onemya=-onemya
          ya=1.0d0-onemya
          MT=MT+1
          MTP1=MT+1
          captheta=captheta/anglefactor
          if((MT.lt.1).or.(MT.ge.nan))then
             write(6,*)'Tfineindx. cos_captheta=',cos_captheta
             write(6,*)'Tfineindx. captheta=',captheta,' MT=',MT
             stop
          endif
        endif
        return
        end
