c $Header: /usr/people/flittner/radtran/flatpsv/src/cIgdif.f,v 1.14 1999/08/16 18:57:14 flittner Exp flittner $
c ---------------------------------------------------------------------

      subroutine cIgdif(ndownlos,nlos,nz,np,esi0,esing0,dmu,rsfc)

C Compute the upward intensity at the surface of a reflector.
C
C For level=nz, this is the surface layer. The incident intensities
C          is just that due to the isotropic intensity reflected from the 
C          Lambertian surface.
C
C Subroutine source performs the source term integration.
C
C last modified: May 5, 1997...def
C purpose: Delete use of refl.
C

      implicit none
      include 'consts.cmn'
      include 'param.inc'
c varibles that are passed
      integer ndownlos,nz,nlos,np
      real*8 esi0(4,nfi,mlos,maxnz),dmu(mlos)
      real*8 rsfc(4,4,nfi,mlos,mlos),esing0(4,nfi,mlos,maxnz)
c variables that are local
      logical debug
      integer m,lcurent,layer,lprevious,i,j
      real*8 wrl,wal,cf1,cf2,wcl,enew(4)
c
      debug=.false.
c compute for each upward direction
      lcurent=nz
      layer=nz-1
      lprevious=nz
      wrl=1.0d0
      wal=0.0d0
      wcl=0.0d0
      cf1=1.0d0
      cf2=0.0d0
      do i=ndownlos+1,nlos
         do j=1,nfi
            call source(lcurent,layer,lprevious,i,j,esi0,dmu,
     &wal,wrl,wcl,cf1,cf2,rsfc,rsfc,rsfc,nlos,np,enew,debug)
            do m=1,np
               esi0(m,j,i,nz)=enew(m)+esing0(m,j,i,nz)
            enddo
         enddo
      enddo
      return
      end
c ---------------------------------------------------------------------
