c $Header: /usr/people/flittner/radtran/flatpsv/src/integ.f,v 1.14 1999/08/16 18:59:08 flittner Exp flittner $
*********************************************************************
c ---------------------------------------------------------------------
c subroutine to integrate a polynomial theta multiplied
c by cos(theta)*sin*(theta).
      subroutine integ(a,theta1,theta2,result)
c
	implicit none
c passed
      real*8 a(3),theta1,theta2,result
c local
      real*8 a1,a2,cos2th1,cos2th2,sin2th1,sin2th2,
     &     theta1sqr,theta2sqr,result0,result1,result2
c
      a1=theta1+theta1
      a2=theta2+theta2
      cos2th1=cos(a1)
      cos2th2=cos(a2)
      sin2th1=sin(a1)
      sin2th2=sin(a2)
      theta1sqr=theta1*theta1
      theta2sqr=theta2*theta2
c result from theta squared term of poly.
      result2=theta2*sin2th2
      result2=result2+(0.5d0-theta2sqr)*cos2th2
      result2=result2-theta1*sin2th1
      result2=result2-(0.5d0-theta1sqr)*cos2th1
      result2=result2*0.25d0
c result from linear term of poly.
      result1=0.5d0*sin2th2
      result1=result1-theta2*cos2th2
      result1=result1-(0.5d0*sin2th1)
      result1=result1+theta1*cos2th1
      result1=result1*0.25d0
c result from constant term of poly.
      result0=cos2th1-cos2th2
      result0=result0*0.25d0
c
      result=a(3)*result2+a(2)*result1+a(1)*result0
      return
      end
c ---------------------------------------------------------------------
